---
title: "Get sales invoices service filtered and paged"
slug: "get-sales-invoices-service-filtered-and-paged"
updated: 2025-10-24T20:01:28Z
published: 2026-02-10T12:53:32Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sales invoices service filtered and paged

Post/api/v1/invoices/salesinvoiceservices/filter

Get a paged list of existing sales invoice services, optionally filtered to the given parameters.

		
			

**Description**

This endpoint retrieves a paged list of existing sales invoice services, filtered to the given parameters. Sales invoice services are simplified sales invoices and therefore contain less properties than the normal sales invoices.

**Use Case**

The user wants to call the GET sales invoice services operation, however does not know which reference to use for the specific invoice service. By using the filter operation and leaving 'reference' empty the user can retrieve the list of available sales invoice services.

**Request****fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| pageSize | The maximum number of pages to be returned per request. The default number is 100 and the maximum is 1.000. If more results are returned than specified in the PageSize, the remaining pages are dropped based on the reference (number). |
| pageNumber | This allows the requesting party to specify which of the pages they want to receive. |
| columnName | The data field based on which sorting is applied. For example, if the results are sorted based on payment method, columnName will contain the value 'payment method'. |
| order | Based on this value, the property defined in 'columnName' is either sorted ascending (a-z) or descending (z-a). |
| reference | The unique identifier for this specific sales invoice, created by Bloxs. |
| ownerReference | The unique identifier for the related owner within Bloxs. This identifier is generated by the Bloxs system. |
| relationReference | The unique identifier for the related relation (not being the owner) within Bloxs. This identifier is generated by the Bloxs system. |
| supplyDate.from | The actual supply date of the service. This date can differ from the invoice date. This defines the lower border of the range. |
| supplyDate.to | The actual supply date of the service. This date can differ from the invoice date. This defines the upper border of the range. |
| paymentMethod | The method by which the invoice is expected to be paid. The following options are availabe: 1 = Direct debit 2 = Bank transfer |
| totalAmountExcl.from | Total amount excluding VAT. This defines the lower border of the range. |
| totalAmountExcl.to | Total amount excluding VAT. This defines the upper border of the range. |
| totalAmountVAT.from | Total VAT amount. This defines the lower border of the range. |
| totalAmountVAT.to | Total VAT amount. This defines the upper border of the range. |
| totalAmountIncl.from | Total amount including VAT. This defines the lower border of the range. |
| totalAmountIncl.to | Total amount including VAT. This defines the upper border of the range. |

**Response fields**

In addition to the request, the 200 response contains the fields in the table below.

| Field | Description |
| --- | --- |
| externalIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system. |
| salesContractReference | The unique identifier for the related sales contract within Bloxs. This identifier is generated by the Bloxs system. |
| workflowState | Indicates the status of sales invoice service. Each number represents a status, which is described below: 1 = Draft 2 = OnHold 3 = Cancelled 4 = ApprovalWorkflow 7 = Final 9 = Disapproved 10 = OwnerApprovalWorkflow 11 = DisapprovedByOwner |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Body parameters<select class='api-response-data' aria-label='Media type'><option value='9bb3a3dc-b712-49fe-b8ba-d5c6c4e51765'>application/json</option>
</select>Expand Allobject  pagingobject (PagingInfo)  pageSizeinteger  (int32)   | null  Minimum1Maximum1000
pageNumberinteger  (int32)   | null  Minimum1Maximum9999

sortingobject (SortingInfo)  columnNamestring   | null  
orderinteger  (int32)    Valid values[
  0,
  1
]

filterobject (SalesInvoiceServiceSearchRequestFilter)  referencestring   | null  
ownerReferencestring   | null  
relationReferencestring   | null  
supplyDateobject (CompareFilterModelDateTime)  fromstring  (date-time)   | null  
tostring  (date-time)   | null  

paymentMethodinteger  (int32)   | null  Valid values[
  1,
  2,
  3,
  4,
  5
]
totalAmountExclobject (CompareFilterModelDecimal)  fromnumber  (double)   | null  
tonumber  (double)   | null  

totalAmountVATobject (CompareFilterModelDecimal)  fromnumber  (double)   | null  
tonumber  (double)   | null  

totalAmountInclobject (CompareFilterModelDecimal)  fromnumber  (double)   | null  
tonumber  (double)   | null  

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='ea13c927-8f6f-45c9-a21f-9c38a62d4d13'>application/json</option>
</select>Expand Allobject  pagingobject (PagingInfo)  pageSizeinteger  (int32)   | null  Minimum1Maximum1000
pageNumberinteger  (int32)   | null  Minimum1Maximum9999

sortingobject (SortingInfo)  columnNamestring   | null  
orderinteger  (int32)    Valid values[
  0,
  1
]

salesInvoiceServices Array of object (SalesInvoiceServiceSearchResultFilter)  | null  object  referencestring   | null  
externalIdentifierstring   | null  
salesContractReferencestring   | null  
ownerReferencestring   | null  
relationReferencestring   | null  
supplyDatestring  (date)    
workflowStateinteger  (int32)    Valid values[
  1,
  2,
  3,
  4,
  7,
  9,
  10,
  11
]
